// This is -*- C++ -*-
// $Id: tiny.cc,v 1.4 1998/08/20 20:42:57 trow Exp $

/* tiny.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <iostream.h>
#include "DataSet.h"

main()
{
  DataSet ds;

  while (1) {

    double x = random() % 100, y = random() % 100;
    cout << "Adding: " << x << " " << y << endl;
    ds.add(x);
    ds.add(y);

    cout << "Data: ";
    ds.spew(cout);

    cout << "Sorted: ";
    for(size_t i=0; i<ds.size(); ++i)
      cout << ds.sorted_data(i) << " ";
    cout << endl;

    cout << "Sorting Data." << endl;
    ds.sort();

    cout << "Data: ";
    ds.spew(cout);

  }
    

}




// $Id: tiny.cc,v 1.4 1998/08/20 20:42:57 trow Exp $
