// This is -*- C++ -*-
// $Id: fndump.cc,v 1.1 1998/08/19 20:53:56 trow Exp $

/* fndump.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <iostream.h>
#include <iomanip.h>
#include "Random.h"
#include "statfn.h"

main()
{
  Random rnd;
  for(int i=1; i<20; ++i) {
    double x = rnd.random_uniform(0.0,10);
    double a = rnd.random_uniform(0.0,10);
    cout << setw(10) << x << " ";
    cout << setw(10) << a << " ";
    cout << "=> ";
    cout << incomplete_gamma(a,x) << endl;
  }
}




// $Id: fndump.cc,v 1.1 1998/08/19 20:53:56 trow Exp $
